Skip to main content
GET
/
api
/
v2
/
chatbots
/
{chatbotId}
/
documents
/
stats
Get document stats
curl --request GET \
  --url https://sitegpt.ai/api/v2/chatbots/{chatbotId}/documents/stats \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "document": {
      "id": "document-id",
      "name": "Example document",
      "createdAt": "2026-05-13T00:00:00.000Z"
    }
  },
  "meta": {
    "requestId": "request-id"
  }
}

Documentation Index

Fetch the complete documentation index at: https://sitegpt.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required

Query Parameters

query
string

Search query.

source
string[]

Repeatable source filter.

status
string[]

Repeatable status filter.

type
string[]

Repeatable document type filter.

Response

Successful SiteGPT API v2 response.

ok
boolean
required
data
object
required
meta
object
required